module RSeed
    module Config
        extend self
    
        @data = {
            "data_path" => "/tmp",
        }

        def set(key, val = nil, &blk)
            if val.is_a? Hash and @data.key? key
                @data[key].update val
            else
                @data[key] = block_given? ? blk : val
            end
        end

        def get(key)
            @data[key]
        end

        def method_missing(name, *args, &blk)
            @data[name]
        end
    end
end
